.\" @(#)pz.1 1.0 91/2/28 
.TH PZ 1 "28 February 1991"
.SH NAME
pz \- PARZ Parallel Simulator
.SH SYNOPSIS
.B pz
{ 
.I \-options | file
}* 
.SH DESCRIPTION
.B pz
is the PARZ Parallel Simulator.

.I Options
and
.I files
given on the command line are traversed from left to right.
.I Options
set parameters for simulation, which are valid for all
.I files 
following the
.I option
, until they are reset by another
.I option.

After an
.I option \-l
the simulator enters command level indicated by the prompt \*(lqP>\*(rq
(or \*(lqP*\*(rq if simulation was interrupted).

.SH OPTIONS
.TP
.B \-c[0|1]
disable / enable automatic compiling (enabled if number is omitted).
.br
Files ending in
.I .p
are always compiled.
.br
Default is disabled.
.TP
.B \-d[0|1]
disable / enable DEBUG/TRACE-output (enabled if number is omitted).
.br
Default is enabled.
.TP
.BI \-e number
set number of reported errors and warnings.
.br
Default is 15.
.TP
.B \-f
set filter-mode : a program is read from standard input and started
.br
.XP
.I Attention :
no
.IR file \-arguments
are allowed after
.B \-f.
.br
The read program should not try to read from standard input.
.TP
.B \-l
load file (if any is following on command line) and enter command level.
.TP
.BI \-m number
set 'MORE'-screensize to
.I number.
.br
Default (or if
.I number
is omitted) is 23.
.br
Disable 'MORE'-style output if
.I number
is 0
.TP
.B1
.BI \-r[0|1|2] [file]
set record-mode off / short / long (short if number is omitted).
.br
Default is off.
.br
Define name for record-file (generated from input\-filename if
.I file
is omitted).
.br
.I Attention :
with
.I file
given, this option may not be merged with other options.
.TP
.B \-s[0|1|2]
set single-step mode to off / Parallaxis / PARZ (Parallaxis if number is omitted).
.br
Default is off.
.TP
.B \-w[0|1]
disable / enable runtime-warnings (enabled if number is omitted).
.br
Default is enabled.
.SH COMMANDS
Type \*(lqh\*(rq on command level to get information about
the simulator commands
.SH FILE NAMING CONVENTIONS
For PARZ-programs
.B pz
knows the standard extension
.I .z,
.br
for Parallaxis-programs the standard extension is
.I .p .
If a given filename has no appropriate standard extension,
the simulator will first look for a file with a standard extension.
.SH "SEE ALSO"
.BR pa (1),

